Subject: [Ianaplan] Minor nit draft-ietf-ianaplan-icg-response-02 regarding "the Internet DNS"

From: John Curran <[email-masked]>
Date: Mon, 3 Nov 2014 13:54:12 +0000

From <draft-ietf-ianaplan-icg-response-02> 
> >>>
> >>> "Maintain the security, stability, and resiliency of the
> >>>  Internet DNS;"
> >>>
> 
> IETF Response:
> 
> The DNS relies on some of the IETF protocol parameters registries.
> As the current IANA functions operator, ICANN performs its task very
> well, usually exceeding the service level agreement metrics.[METRICS]
> Security, stability, and resiliency of the Internet DNS is best
> protected by maintaining the current service in its current form.

mumble… It’s likely that “the Internet DNS” in the NTIA-provided principle
of "Maintain the security, stability, and resiliency of the Internet DNS” refers
to “the Internet DNS” in the USG/NTIA classic manner, i.e. the full set of 
IANA-related identifiers and not simply the DNS protocol & DNS service
operation.   If this is the case, then the question being asked is how the
IETF proposed accountability and oversight arrangements will promote
security, stability, and resiliency for the protocol parameter portion of 
“the Internet DNS”; i.e. the first line of the present response text is not 
needed, and additional focus is warranted (on how the IETF-proposed 
mechanisms will continue the existing mechanisms which have proven 
to be both stable and resilient for the entire history of the Internet.)

For an example of USG NTIA’s use of “DNS” as an abbreviation for the
entire system -  <http://www.ntia.doc.gov/files/ntia/publications/affirmation_of_commitments_2009.pdf <http://www.ntia.doc.gov/files/ntia/publications/affirmation_of_commitments_2009.pdf>>
     “the technical coordination of the Internet's domain name and addressing system (DNS) …  For the purposes of this Affirmation the Internet's domain name and addressing system (DNS) is defined as: domain names; Internet protocol addresses and autonomous system numbers; protocol port and parameter numbers. ICANN coordinates these identifiers at the overall level, consistent with its mission."

FYI,
/John

Disclaimer: my views alone.

---

From: Eliot Lear <[email-masked]>
Date: Mon, 03 Nov 2014 06:38:40 -0800

Hi John,

On 11/3/14, 5:54 AM, John Curran wrote:
> mumble…

Well yes.  We've had to try to interpret the question in a way that
makes sense in our context. 
> It’s likely that “the Internet DNS” in the NTIA-provided principle
> entire system -
>  <http://www.ntia.doc.gov/files/ntia/publications/affirmation_of_commitments_2009.pdf>
>      “the technical coordination of the Internet's domain name and
> addressing system (DNS) …  For the purposes of this Affirmation the
> Internet's domain name and addressing system (DNS) is defined as:
> domain names; Internet protocol addresses and autonomous system
> numbers; protocol port and parameter numbers. ICANN coordinates these
> identifiers at the overall level, consistent with its mission."
>
The basis of the answer was that the DNS protocol does make use of
protocol parameters, and as such is reliant on the protocol parameters
registries, and while I take your point about the esoteric definition, I
would suggest that plain reading of the term allow for the sentence to
stay in.  The fundamentals do not change.  Also, I do not know of an
instance in which someone coded something incorrectly because of a
security breach to the registry.  We could simply answer it in those
terms, I suppose.  However, we should be careful to avoid ratholing into
a technical discussion about how the protocol parameters is secured. 
That is- the usual auditor blurb could be used: "The operator is
expected to apply due diligence in managing the security of services
offered, and to the best of our knowledge has done so."

Eliot

---

From: John Curran <[email-masked]>
Date: Mon, 3 Nov 2014 15:09:39 +0000

On Nov 3, 2014, at 2:38 PM, Eliot Lear <[email-masked]> wrote:
> The basis of the answer was that the DNS protocol does make use of protocol parameters, and as such is reliant on the protocol parameters registries, and while I take your point about the esoteric definition, I would suggest that plain reading of the term allow for the sentence to stay in.  The fundamentals do not change.  Also, I do not know of an instance in which someone coded something incorrectly because of a security breach to the registry.  We could simply answer it in those terms, I suppose.  ...

It is an opportunity for the IETF to explain the merits of its proposed 
accountability and oversight arrangements with respect to maintaining
the security, stability, and resiliency of its portion of the Internet identifier 
system.   Like most opportunities, it does not have to be taken - it is quite 
likely that the merits of the current (and now proposed) arrangements 
are obvious to everyone on this mailing list.  

There is, however, some probably that the proposal received by NTIA for 
the transition of the stewardship of the IANA functions will be read by many 
not on the IANAplan list, and the text matters to the extent that any of their
perceptions are important.

/John

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 3 Nov 2014 10:16:32 -0500

> perceptions are important.

Do you have text to propose?  I don't actually understand what you want here.

A

-- 
Andrew Sullivan
[email-masked]

---

From: John Curran <[email-masked]>
Date: Mon, 3 Nov 2014 18:38:27 +0000

> Do you have text to propose?  I don't actually understand what you want here.

I don't have any particular desired text; only noting the the present I-D
answer may not be fully addressing the RFP question and thus shortchanging 
the IETF.  One example of more responsive text would be:

" >>> "Maintain the security, stability, and resiliency of the
  >>>  Internet DNS;"

 The protocol parameters registries are a component of the Internet's 
 domain name and addressing system (DNS).  The security, stability, and 
 resiliency of these protocol parameters registries has been very well 
 provided by the existing oversight arrangements that are more fully 
 documented in Section II.

 The success of the existing oversight is evidenced by the satisfactory 
 performance level of the ICANN (the current IANA functions operator) 
 in accordance with the agreed service level agreement metrics.[METRICS]  

 The IETF believes maintaining the present oversight and accountability
 arrangements (with the minor enhancements as outlined in Section III) 
 provides the best opportunity for maintain the security, stability, and
 resiliency of these registries. 
"

I do not know if such a response would be desired (or whether it even
accurately reflects the consensus view of the IETF community) but supply 
it to elucidate the challenge I see with the present text.

/John

---

From: Jefsey <[email-masked]>
Date: Tue, 04 Nov 2014 12:09:21 +0100

At 16:09 03/11/2014, John Curran wrote:
>  it is quite likely that the merits of the current (and now 
> proposed) arrangements are obvious to everyone on this mailing list.

Sorry.
But this is not the case as far as I am concerned.

>perceptions are important.

This is why I am afraid your text will not fly with those you 
obviously do not care about. If you did your target would be to try 
to show me how wrong I am.
I am afraid contempt never led to consensus.
Cheers
jfc

PS. I suppose that most in the world support the PP14 Indian motion 
(which does not consider the DNS) as as such should be outside this debate.

---

From: John Curran <[email-masked]>
Date: Tue, 4 Nov 2014 14:34:37 +0000

On Nov 4, 2014, at 11:09 AM, Jefsey <[email-masked]> wrote:
>> it is quite likely that the merits of the current (and now proposed) arrangements are obvious to everyone on this mailing list.
> 
> Sorry.

Then it is good that you have taken a moment to express such on the list.

> This is why I am afraid your text will not fly with those you obviously do not care about. If you did your target would be to try to show me how wrong I am.

jfc -

Actually, my goal was only to point out a potential issue with the present ID
(due to a "plain english" reading of words from NTIA, words which have often 
been used in a more creative manner to encompass the entire Internet identifier 
system); it was not to promote any particular text.  When asked, I provided text 
solely for elucidation of the issue - feel free to suggest alternative text if 
you also consider it an issue.  If you don't feel its an issue, then that's also
good to know.

Thanks!
/John

---

From: Jefsey <[email-masked]>
Date: Tue, 04 Nov 2014 16:32:59 +0100

>you also consider it an issue.  If you don't feel its an issue, then 

Dear John,

I must say I am not so much interested in an alternative text, but in 
an alternative approach corresponding to the IETF WG/charter rather 
than to the ICANN one, even if Richard considers correctly enough 
that "we are ICANN".

I must say that 9 years ago I spent two hours face to face with 
Houlin Zhao on the geographic/sovereign packet switch networks 
addressing, when Brian was lobbying against it. Time is coming. I 
disapprove the current USG smart campaign based upon extended reading 
of plain control intents.

This is an issue. As I said, it is now, and here. And decision is at 
hand. Among us, as the concerned/capable people are here - a few as 
speakers and most as silent or indirect readers.
Not so easy to determine, but my guess is that ICANN has now lost 
global control because of their creative manner to read "plain english" words.

As we put it in French: "qui trop embrasse mal étreint",   "Do not 
bite off more than you can chew".
Cheers!

jfc